Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#25848 - `pacman -S tumbler' doesn't list optional dependency: ffmpegthumbnailer

Attached to Project: Arch Linux
Opened by Marek Kozlowski (guayasil) - Wednesday, 31 August 2011, 17:05 GMT
Last edited by Eric Belanger (Snowman) - Wednesday, 31 August 2011, 20:01 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
Numerous packages list optional dependencies after installation. tumbler doesn't list ffmpegthumbnailer which is required for generating video files thumbnails.
This task depends upon

Closed by  Eric Belanger (Snowman)
Wednesday, 31 August 2011, 20:01 GMT
Reason for closing:  Not a bug
Comment by Karol Błażewicz (karol) - Wednesday, 31 August 2011, 17:25 GMT
It does list here:

[karol@black ~]$ pacman -S tumbler
resolving dependencies...
looking for inter-conflicts...

Targets (1): tumbler-0.1.21-3 [0,09 MB]

Total Download Size: 0,09 MB
Total Installed Size: 0,76 MB

Proceed with installation? [Y/n]
:: Retrieving packages from extra...
tumbler-0.1.21-3-i686 94,6K 367,4K/s 00:00:00 [################################] 100%
(1/1) checking package integrity [################################] 100%
(1/1) checking for file conflicts [################################] 100%
(1/1) checking available disk space [################################] 100%
(1/1) installing tumbler [################################] 100%
Optional dependencies for tumbler
ffmpegthumbnailer: for video thunbnails


Reporter's mirror may be out of date, as in  FS#25846 .
Comment by Marek Kozlowski (guayasil) - Wednesday, 31 August 2011, 17:27 GMT
Hmmm...? (x86_64, today's sync)

ach ~ # pacman -Rns ffmpegthumbnailer
checking dependencies...

Remove (4): ffmpegthumbnailer-2.0.6-1 ffmpeg-20110724-1 rtmpdump-2.4-1
libva-1.0.14-1

Total Removed Size: 23.37 MB

Do you want to remove these packages? [Y/n]
(1/4) removing ffmpegthumbnailer [######################] 100%
(2/4) removing ffmpeg [######################] 100%
(3/4) removing rtmpdump [######################] 100%
(4/4) removing libva [######################] 100%
rch ~ # pacman -S tumbler
warning: tumbler-0.1.21-3 is up to date -- reinstalling
resolving dependencies...
looking for inter-conflicts...

Targets (1): tumbler-0.1.21-3

Total Download Size: 0.00 MB
Total Installed Size: 0.79 MB

Proceed with installation? [Y/n]
(1/1) checking package integrity [######################] 100%
(1/1) checking for file conflicts [######################] 100%
(1/1) upgrading tumbler [######################] 100%
rch ~ #
Comment by Marek Kozlowski (guayasil) - Wednesday, 31 August 2011, 17:28 GMT
Note, that I have `x86_64'.
Comment by Karol Błażewicz (karol) - Wednesday, 31 August 2011, 17:29 GMT
True, you don't get that info when reinstalling.

Try to remove it and install back.
Comment by Marek Kozlowski (guayasil) - Wednesday, 31 August 2011, 17:32 GMT
Yes, that's the problem.
Anyway: Can we get it for installing no matter if it's a new install or reinstallation?
Comment by Karol Błażewicz (karol) - Wednesday, 31 August 2011, 17:34 GMT
Isn't 'pacman -Qi tumbler' enough? It lists - among other things - optional depts:
[karol@black ~]$ sp -Qi tumbler | grep "Optional Deps"
Optional Deps : ffmpegthumbnailer: for video thunbnails
Comment by Marek Kozlowski (guayasil) - Wednesday, 31 August 2011, 17:43 GMT
Well I think that could be a more general problem:
Imagine that I install thunar as a part of XFCE4. It uses an optional dependency: thunar-thumbnailers. After some time it gets obsoleted and the `tumbler' is recommended for this purpose. Of course: for fresh thunar install I'll get the message about a new dependency. But if I have XFCE4 and thunar as a part of it (no fresh install but reinstallation possible) I'll miss this dependency change (unless I check 'pacman -Qi' results on all installed packages...)?

May I suggest closing this bug (not a bug in fact, sorry!) and opening some feature request for pacman: printing this info after every `pacman -S something' no matter if yet installed or not?

Loading...